# Uses of Interface
org.eclipse.birt.report.model.api.activity.IActivityRecord

Packages that use IActivityRecord
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of IActivityRecord in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return IActivityRecord
Modifier and Type
Method
Description
`IActivityRecord`
CommandStack.`getRedoRecord()`
Peeks at the top of the redo stack.
`IActivityRecord`
CommandStack.`getUndoRecord()`
Peeks at the top of the undo stack.
Methods in org.eclipse.birt.report.model.api with parameters of type IActivityRecord
Modifier and Type
Method
Description
`void`
CommandStack.`execute(IActivityRecord record)`
Executes the specified record and flushes the redo stack.